<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Basics</title>
    <link rel="stylesheet" href="styles.css" />

    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Lato:wght@400;700&display=swap"
      rel="stylesheet"
    />

    <!--  https://www.csestack.org/hide-show-password-eye-icon-html-javascript/  -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css"
    />
  </head>
  <body>
    <!--  https://www.w3schools.com/howto/howto_js_topnav.asp  -->
    <div class="topnav">
      <a class="active" href="#home">Home</a>
      <a href="#backgammon">Backgammon</a>
      <a href="#news">News</a>
      <a href="#contact">Contact</a>
      <a href="#about">About</a>
    </div>
    <div id="lform">
      <form
        name="sform"
        action=""
        onsubmit="return validateForm()"
        method="POST"
      >
        <label for="uname">Username:</label><br />
        <input type="text" id="uname" name="uname" value="" /><br />
        <label for="pword">Password:</label><br />
        <input type="password" id="pword" name="pword" value="" /><i
          class="far fa-eye"
          id="tpwrd"
        ></i
        ><br />
        <div id="remar">
          <div>
            <label for="remme">Remember me</label>
            <input type="checkbox" id="remme" name="remme" />
          </div>
          <a href="#">Forgot Password?</a>
        </div>
        <div id="rspns">&nbsp;</div>
        <input type="submit" value="Login" />
      </form>
    </div>

    <script>
      const togglePassword = document.querySelector("#tpwrd");
      const password = document.querySelector("#pword");

      togglePassword.addEventListener("click", function (e) {
        // toggle the type attribute
        const type =
          password.getAttribute("type") === "password" ? "text" : "password";
        password.setAttribute("type", type);
        // toggle the eye slash icon
        this.classList.toggle("fa-eye-slash");
      });
    </script>
    <script src="scripts.js"></script>
  </body>
</html>
